{ config, pkgs, ... }:

{
	environment.systemPackages = with pkgs; [
		((vim_configurable.override {  }).customize {
			name = "vim";
			# Install plugins for example for syntax highlighting of nix files
			vimrcConfig.packages.myplugins = with pkgs.vimPlugins; {
				start = [
					vim-nix
					vim-lastplace
					vim-gitgutter
					nerdtree
					#vim-hexHighlight   missing
					vim-pencil
					#vim-wordchipper  missing
					vim-fish
				];
				opt = [];
			};
			vimrcConfig.customRC = let
				vimrc = import (
					builtins.fetchGit {
						url = "https://git.betalupi.com/Mark/vim.git";
						ref = "master";
					} + /default.nix
				);
			in (
				builtins.readFile (vimrc + /vimrc)
			);
		})
	];
}